Bug 197495 - net/nocatsplash FIXES USERS GUIDS MASTER_SITES, REMOVES BROKEN
Summary: net/nocatsplash FIXES USERS GUIDS MASTER_SITES, REMOVES BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-09 17:38 UTC by Chris Hutchinson
Modified: 2015-07-23 03:28 UTC (History)
2 users (show)

See Also:


Attachments
svn diff for net/nocatsplash (4.13 KB, patch)
2015-02-09 17:38 UTC, Chris Hutchinson
no flags Details | Diff
session LOG for net/nocatsplash (16.69 KB, text/plain)
2015-02-09 17:39 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-02-09 17:38:07 UTC
Created attachment 152809 [details]
svn diff for net/nocatsplash

net/nocatsplash

FIXES causes that listed it BROKEN

Makefile
removes broken MASTER_SITES listing
adds replacement for [broken] MASTER_SITES listing
adds LICENSE
adds MAINTAINER
corrects CONFLICTS

pkg-descr
slight modification

ADDS
files/patch-mkinstalldirs

Please find svn diff, and session log file, also attached.

Thank you for all your time, and consideration.

--Chris
Comment 1 Chris Hutchinson 2015-02-09 17:39:45 UTC
Created attachment 152810 [details]
session LOG for net/nocatsplash
Comment 2 Chris Hutchinson 2015-04-11 19:41:22 UTC
(In reply to Chris Hutchinson from comment #1)
> Created attachment 152810 [details]
> session LOG for net/nocatsplash

Anyone?
I got a message the other day that this port is
marked as broken, and slated for deletion. Even
tho I submitted this PR, more than a month ago.

Thanks!

--Chris
Comment 3 Antoine Brodin freebsd_committer 2015-06-21 08:14:52 UTC
@exec in the plist is not the right solution

See  https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#users-and-groups
Comment 4 Rene Ladan freebsd_committer 2015-07-21 20:29:24 UTC
Testing this port now, with USERS= and GROUPS= instead of @exec lines in pkg-plist
Comment 5 commit-hook freebsd_committer 2015-07-22 05:28:57 UTC
A commit references this bug:

Author: rene
Date: Wed Jul 22 05:28:03 UTC 2015
New revision: 392664
URL: https://svnweb.freebsd.org/changeset/ports/392664

Log:
  - fix and undeprecate
  - add license (GPLv2)
  - update MASTER_SITES and CONFLICTS
  - tidy up pkg-descr
  - pass maintainership to submitter

  PR:		197495
  Submitted by:	Chris Hutchinson
  MFH:		2015Q3

Changes:
  head/GIDs
  head/UIDs
  head/net/nocatsplash/Makefile
  head/net/nocatsplash/files/patch-mkinstalldirs
  head/net/nocatsplash/files/patch-src__http.c
  head/net/nocatsplash/files/patch-src__splashd.c
  head/net/nocatsplash/pkg-descr
  head/net/nocatsplash/pkg-install
  head/net/nocatsplash/pkg-plist
Comment 6 commit-hook freebsd_committer 2015-07-22 22:18:42 UTC
A commit references this bug:

Author: rene
Date: Wed Jul 22 22:18:21 UTC 2015
New revision: 392698
URL: https://svnweb.freebsd.org/changeset/ports/392698

Log:
  MFH: r392664

  - fix and undeprecate
  - add license (GPLv2)
  - update MASTER_SITES and CONFLICTS
  - tidy up pkg-descr
  - pass maintainership to submitter

  PR:		197495
  Submitted by:	Chris Hutchinson
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/GIDs
  branches/2015Q3/UIDs
  branches/2015Q3/net/nocatsplash/Makefile
  branches/2015Q3/net/nocatsplash/files/patch-mkinstalldirs
  branches/2015Q3/net/nocatsplash/files/patch-src__http.c
  branches/2015Q3/net/nocatsplash/files/patch-src__splashd.c
  branches/2015Q3/net/nocatsplash/pkg-descr
  branches/2015Q3/net/nocatsplash/pkg-install
  branches/2015Q3/net/nocatsplash/pkg-plist
Comment 7 Chris Hutchinson 2015-07-23 03:28:29 UTC
Thank you very much,  Rene Ladan.
I somehow missed the message regarding the incorrect plist-format. :(
I really appreciate your taking the time to address this.

--Chris